Subject: Re: BIRD28 Pkg Extension Comments]

From: [email-masked] ( Bob Ross)
Date: Fri, 2 Jun 95 08:53 PDT

Jon:

From the original BIRD28, the first matrix group would be defined as a
section 2 matrix and the second matrix would be defined as a section 3
matrix.  The alignment of matrix components is assumed using this syntax.
Thus there are zero-element sections for the purpose of alignment.

The syntax is:
[Define Package Model]  3_pin_example
...
[Unit Length]        in

[Number of Sections] 5
[Number of Pins]     3
[Pin Numbers]
|  section 1       section 2      section 3      section 4       section 5
B1 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=0         / Len=0         /
B2 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=1 L=x C=x / Len=0         /
B3 Len=1 L=y C=y / Len=1 Matrix / Len=1 Matrix / Len=1 L=y C=y / Len=1 L=z C=z /
|
[Model Data] section 2
[Inductance Matrix]  Sparse_Matrix  | Sparse matrix is used in this example
[Row]   B1                          | to illustrate the approach for many
B1      xx                          | more pins.
B2      xx
[Row]   B2
B2      xx
[Capacitance Matrix] Sparse_Matrix
....
[End Model Data] section 2

[Model Data] section 3
[Inductance Matrix]  Sparse_Matrix
[Row]   B1
B1      xx
B2      xx
B3      xx
[Row]   B2
B2      xx
B3      xx
[Row]   B3
B3      xx
[Capacitance Matrix] Sparse_Matrix
....
[End Model Data] section 3
[End Package Model]
....

This syntax is based on position within a fixed number of sections.  You have
a good point that another syntax that relys on matrix names rather than
position may be clearer or may produce other efficiencies, but this needs
to be defined and tested.

Bob Ross
Interconnectix, Inc.

> bob,

> in the following example, how do the keywords "Matrix" map into the
> actual specication of the matrices. I guess that I think wee need matrix
> names to avoid an absolute numbering confusion. Anyway, this is the
> essence of my problem.

> jon

> Jon:

> I do not have a good answer to the problem you posed, especially when you
> extend the concept to many pins.  However, I would approach this with
> several uncoupled sections at the beginning and end, and two matrix sections
> in the middle.  The format would be of the form

> B1 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=0         / Len=0         /
> B2 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=1 L=x C=x / Len=0         /
> B3 Len=1 L=y C=y / Len=1 Matrix / Len=1 Matrix / Len=1 L=y C=y / Len=1 L=z C=z /

> Both Matrix sections would likely be Sparse_matrix types.  The first one would
> describe the B1-B2 section "1" and would have no B3 row/column entries (forcing
> zero values).  The second one would describe the B1-B2-B3 section "2".

> Allowance is provided for one initial transmission line section and two 
> final transmission line sections for this example.  The pins that do
> not need these sections will have some Len=0 / zero-length sections.

> The alternative to a description of this detail would be to adopt a different,
> coupled lumped approach describe B1-B2-B3("2") as one coupled L-C-R value
> matrix (length would not be needed since the "total" values used would
> already reflect the length) to capture all of the coupling in.  This may
> not be as accurate an approach, but may have some practical value.

> Bob Ross,
> Interconnectix, Inc.

> > In addition, I would appreciate a clarifying example that indicated how
> > one would represent the following structure:

> > This may be the same as Bobs, though it seems that a segment that starts
> > after the other segments is a problem. I think the gist of it is I don't
> > see how to specify more that one matrix.

> >     ____________________
> > B1  |___________________|     
> >     ______________________________
> > B2  |_____________________________|
> >                __________    x
> > B3            | ________|
> >               ||       ||
> >               ||       ||
> >             y ||       || y
> >               ||       ||     z
> >               ||       ||--------
> >               ||       |_________

> >     |    1    |    2    |    3    |

> > jon

---

From: [email-masked] (Jon Powell)
Date: Fri, 2 Jun 95 14:51:46 PDT

OK,

Here is my problem.

I think that BIRD28 is not very tractible for large problems. 

below is my textual argument and a word document with a picture.

COMMENTS ON BIRD 28

Assume the simple leadframe layout as shown below. Each pin couples to
each of its neighbors using 3 separarate coupling matricies. The pins
do not significantly couple to anything further away than 1 pin The
coupling cross-sections of interest for pin 2 are A B and C. Each of
there ould be a separate matrix. I do not think that three 100 entry
matrices are the way to go for this kind of discription, espcially
since most of the matrix entries will be indentical, since the A
coupling above will be the same entry for each 3 set of coupling wires
as you go around the package.

I believe that we need a mechanism that allows either for small named
and re-usable matrices or ONLY allow one matrix and one coupling
segment that describes the entire package.

Jon Powell,  6/2/95